#include <iostream>

using namespace std;

int main()
{
    int n, count=0, br=0;
    scanf("%i",&n);
    
    int a[n], b[n], c[n];
    for(int i=0;i<n;i++) scanf("%i",&a[i]);
    for(int i=0;i<n;i++) scanf("%i",&b[i]);
    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
            for(int k=0;k<n;k++){
                if(br<4) {scanf("%i",&c[br]); br++;}
                if(a[i] == b[j] && j+1 == c[k]) count++;
            }
        }
    }
    
    printf("%i",count);

    return 0;
}